<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
namespace App\Exception;

use App\Constants\ResultCode;
use Throwable;

class ApiException extends BasicException
{
    protected $code = ResultCode::DEFAULT_ERROR;

    protected $errorCode;

    public function __construct(string $message = null, string $errorCode = null, Throwable $previous = null)
    {
        if (is_null($message)) {
            $message = ResultCode::getMessage($this->code);
        }
        $this->errorCode = $errorCode;
        parent::__construct($message, $previous);
    }

    public function getErrorCode() {
        return $this->errorCode;
    }
}
