<?php

namespace App\Helper\Baofu;

class ApiList
{
    private static $list = [
        'open-account' => [
            'description' => '个人实名开户',
            'url' => '/api/cust/v3.0.0/openAccount',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|customerName|certificateNo'
        ],
        'bind-card' => [
            'description' => '个人银行卡签约-获取短信验证码',
            'url' => '/api/cust/v3.0.0/bindCard',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|cardNo|bankMobile',
        ],
        'bind-card-check' => [
            'description' => '个人银行卡签约-确认绑卡',
            'url' => '/api/cust/v3.0.0/bindCardCheck',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|requestNo|verifyCode',
        ],
        'unbind-card' => [
            'description' => '个人银行卡解约',
            'url' => '/api/cust/v3.0.0/unbindCard',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|requestNo|agreementNo',
        ],
        'query-customer-info' => [
            'description' => '客户信息查询',
            'url' => '/api/cust/v2.0.0/queryCustomerInfo',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestNo',
        ],
        'find-bind-bank-cards' => [
            'description' => '获取已绑定卡信息',
            'url' => '/api/cust/v2.0.0/findBindBankCards',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|contractNo',
        ],
        'assure-payment-split' => [
            'description' => '个人担保支付-余额和卡',
            'url' => '/api/order/v3.0.0/assurePaymentSplit',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|paidType|splitInfoList',
        ],
        'payment-split' => [
            'description' => '个人支付-余额和卡',
            'url' => '/api/order/v3.0.0/paymentSplitApi',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|paidType|splitInfoList',
        ],
        'payment' => [
            'description' => '个人担保支付-聚合支付',
            'url' => '/api/wallet/v3.0.0/payment',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|dataContent',
        ],
        'withdraw' => [
            'description' => '个人提现',
            'url' => '/api/order/v3.0.0/withdraw',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|agreementNo',
        ],
        'enterprise-withdraw' => [
            'description' => '企业提现',
            'url' => '/api/order/v3.0.0/merchantWithdraw',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|agreementNo',
        ],
        'get-balance-new' => [
            'description' => '账户余额查询',
            'url' => '/api/wallet/v3.0.0/getBalanceNew',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|accountType',
        ],
        'recharge' => [
            'description' => '个人充值',
            'url' => '/api/order/v3.0.0/recharge',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|agreementNo',
        ],
        'merchant-transfer-recharge' => [
            'description' => '企业充值',
            'url' => '/api/order/v3.0.0/merchantTransferRecharge',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|outOrderNo|amount|agreementNo|notifyUrl',
        ],
        'unify-pay' => [
            'description' => '匿名支付-聚合支付',
            'url' => '/api/order/v3.0.0/unifyPay',
            'signParams' => 'orgNo|merchantNo|terminalNo|requestDate|loginNo|orderType|dataContent',
        ],
        'cloud-b2c-assure-recharge' => [
            'description' => '担保支付-网银支付',
            'url' => '/api/order/v3.0.0/cloudB2cAssureRecharge',
            'signParams' => 'orgNo|merchantNo|loginNo|terminalNo|requestDate|dataContent',
        ],
        'confirm-assure-pay' => [
            'description' => '担保支付-确认分账',
            'url' => '/api/wallet/v3.0.0/confirmAssurePay',
            'signParams' => 'orgNo|merchantNo|loginNo|terminalNo|requestDate|dataContent',
        ],
        'refund-request' => [
            'description' => '担保支付-分账前退款',
            'url' => '/api/trade/v3.0.0/refundRequest',
            'signParams' => 'orgNo|merchantNo|terminalNo|requestDate|refundTradeId|orgTradeId|refundMoney|refundReason|notifyUrl',
        ],
        'profit-share-refund-apply' => [
            'description' => '担保支付-分账后退款-退款申请',
            'url' => '/api/trade/v3.0.0/profitShareRefundApply',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|refundTradeId|orgTradeId|refundAmount|refundSplitInfoList',
        ],
        'profit-share-refund-confirm' => [
            'description' => '担保支付-分账后退款-退款确认',
            'url' => '/api/trade/v3.0.0/profitShareRefundConfirm',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|refundTradeId|refundAmount',
        ],
        'profit-share-refund-cancel' => [
            'description' => '担保支付-分账后退款-退款撤销',
            'url' => '/api/trade/v3.0.0/profitShareRefundCancel',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|refundTradeId',
        ],
        'modify-login-no' => [
            'description' => '信息维护-客户登录号变更',
            'url' => '/api/cust/v3.0.0/modifyLoginNo',
            'signParams' => 'orgNo|merchantNo|terminalNo|requestDate|loginNo|origLoginNo',
        ],
        'enterprise-unbind-card' => [
            'description' => '企业对公卡解绑',
            'url' => '/api/cust/v3.0.0/applyUnbindCard',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|agreementNo'
        ],
        'send-bind-card-email' => [
            'description' => '企业认证重发邮件',
            'url' => '/api/merchant/v1/sendBindCardEmail',
            'signParams' => 'orgNo|terminalNo|requestDate|loginNo'
        ],
        'apply-bind-card' => [
            'description' => '企业对公卡绑定',
            'url' => '/api/merchant/v1/applyBindCard',
            'signParams' => 'orgNo|merchantNo|terminalNo|loginNo|requestDate|cardName|bankName|provinceName|cityName|branchName'
        ],
        'merchant-report-create' => [
            'description' => '企业注册-聚合交易商户报备-v3.1版本-商户录入',
            'url' => '/api/aggregationReport/v3.1.0/merchantReportCreate',
            'signParams' => 'orgNo|merchantNo|terminalNo|requestDate|uniqueId|loginNo|bizContent'
        ],
        'auth-bind' => [
            'description' => '企业注册-聚合交易商户报备-v3.1版本-授权目录报备',
            'url' => '/api/aggregationReport/v3.1.0/authBind',
            'signParams' => 'orgNo|merchantNo|terminalNo|simId|authType|authContent'
        ]
    ];

    public static function get($apiName)
    {
        return self::$list[$apiName] ?: null;
    }
}
