<?php

namespace App\Helper\Baofu;

class H5List
{
    private static $list = [
        'apply' => [
            'description' => '企业实名开户',
            'url' => '/api/merchant/v1/apply',
            'signParams' => 'orgNo|terminalNo|loginNo|requestDate|email'
        ],
        'register' => [
            'description' => '个人实名开户',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|dataContent',
            'callType' => 'REGISTER',
        ],
        'card-bind' => [
            'description' => '个人银行卡签约',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|dataContent',
            'callType' => 'CARDBIND',
        ],
        'card-unbind' => [
            'description' => '个人银行卡解约',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|dataContent',
            'callType' => 'CARDUNBIND',
        ],
        'withdraw' => [
            'description' => '个人提现',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|null',
            'callType' => 'WITHDRAW',
        ],
        'pwd-modify' => [
            'description' => '个人支付密码修改',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|',
            'callType' => 'PWDMODIFY',
        ],
        'pwd-forget' => [
            'description' => '个人支付密码设置',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|',
            'callType' => 'PWDFORGET',
        ],
        'pw-reset' => [
            'description' => '企业支付密码设置',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|null',
            'callType' => 'BM_PWRESET',
        ],
        'enterprise-pwd-modify' => [
            'description' => '企业支付密码修改',
            'url' => '/api/wallet/v3.0.0/login',
            'signParams' => 'orgNo|merchantNo|terminalNo|callType|loginNo|requestDate|null',
            'callType' => 'BM_PWDMODIFY'
        ],
    ];

    public static function get($h5Name)
    {
        return self::$list[$h5Name] ?: null;
    }
}
