<?php

declare(strict_types=1);

namespace App\Model;

class RequestLog extends Model
{
    protected $table = 'request_logs';

    public function generateToken() {
        return md5($this->app_id . '_' . $this->request_id);
    }

    public function getDataValue($key, $defaultValue = null) {
        $data = $this->getData();
        return $data[$key] ?: $defaultValue;
    }

    public function getData() {
        $data = $this->request_data['data'] ?: null;
        if ($data) {
            return json_decode($data, true);
        }
        return [];
    }
}