<?php

declare(strict_types=1);

use App\Controller\Payment\NotifyController;
use App\Controller\Payment\PayController;
use Hyperf\HttpServer\Router\Router;

Router::get('/favicon.ico', function () {
    return 'abc';
});

Router::addGroup('/payment',function () {
    Router::post('/company-register', [PayController::class, 'companyRegister']);
    Router::post('/register', [PayController::class, 'register']);
    Router::post('/refund', [PayController::class, 'refund']);
    Router::post('/bind-card', [PayController::class, 'bindCard']);
    Router::post('/unbind-card', [PayController::class, 'unbindCard']);
    Router::post('/pwdForget', [PayController::class, 'pwdForget']);
    Router::post('/pwdModify', [PayController::class, 'pwdModify']);
    Router::post('/payment', [PayController::class, 'payment']);
    Router::post('/refund-apply', [PayController::class, 'refundApply']);
    Router::post('/refund-confirm', [PayController::class, 'refundConfirm']);
    Router::post('/refund-cancel', [PayController::class, 'refundCancel']);
}, ['middleware' => [\App\Middleware\RequestLogMiddleware::class, \App\Middleware\AppAuthMiddleWare::class]]);

Router::addGroup('/notify',function () {
    Router::addRoute(['GET', 'POST'], '/register', [NotifyController::class, 'register']);
    Router::addRoute(['GET', 'POST'], '/bind-card', [NotifyController::class, 'bindCard']);
    Router::addRoute(['GET', 'POST'], '/payment', [NotifyController::class, 'payment']);
    Router::addRoute(['GET', 'POST'], '/refund', [NotifyController::class, 'refund']);
});

